/*
 * PeerTube
 *
 * # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. The spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice - we generate some client SDKs automatically:  - [Python](https://framagit.org/framasoft/peertube/clients/python) - [Go](https://framagit.org/framasoft/peertube/clients/go) - [Kotlin](https://framagit.org/framasoft/peertube/clients/kotlin)  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  ## Roles  Accounts are given permissions based on their role. There are three roles on PeerTube: Administrator, Moderator, and User. See the [roles guide](https://docs.joinpeertube.org/#/admin-managing-users?id=roles) for a detail of their permissions.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
 *
 * API version: 2.4.0
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package peertube
import (
	"os"
	"time"
)
// InlineObject7 struct for InlineObject7
type InlineObject7 struct {
	// Video file
	Videofile *os.File `json:"videofile"`
	// Channel id that will contain this video
	ChannelId int32 `json:"channelId"`
	// Video thumbnail file
	Thumbnailfile *os.File `json:"thumbnailfile,omitempty"`
	// Video preview file
	Previewfile *os.File `json:"previewfile,omitempty"`
	Privacy VideoPrivacySet `json:"privacy,omitempty"`
	// Video category
	Category int32 `json:"category,omitempty"`
	// Video licence
	Licence string `json:"licence,omitempty"`
	// Video language
	Language int32 `json:"language,omitempty"`
	// Video description
	Description string `json:"description,omitempty"`
	// Whether or not we wait transcoding before publish the video
	WaitTranscoding bool `json:"waitTranscoding,omitempty"`
	// A text tell the audience how to support the video creator
	Support string `json:"support,omitempty"`
	// Whether or not this video contains sensitive content
	Nsfw bool `json:"nsfw,omitempty"`
	// Video name
	Name string `json:"name"`
	// Video tags (maximum 5 tags each between 2 and 30 characters)
	Tags []string `json:"tags,omitempty"`
	// Enable or disable comments for this video
	CommentsEnabled bool `json:"commentsEnabled,omitempty"`
	// Enable or disable downloading for this video
	DownloadEnabled bool `json:"downloadEnabled,omitempty"`
	// Date when the content was originally published
	OriginallyPublishedAt time.Time `json:"originallyPublishedAt,omitempty"`
	ScheduleUpdate VideoScheduledUpdate `json:"scheduleUpdate,omitempty"`
}
